### Method

# Fwupd Client set_feature_flags

since: 1.4.5

#### Declaration [src]

    gboolean
    fwupd_client_set_feature_flags (
      FwupdClient* self,
      FwupdFeatureFlags feature_flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets the features the client supports. This allows firmware to depend on specific front-end features, for instance showing the user an image on how to detach the hardware.

Clients can call this none or multiple times.

Available since: 1.4.5

#### Parameters

`feature_flags`

  Type: `FwupdFeatureFlags`

  Feature flags, e.g. `FWUPD_FEATURE_FLAG_UPDATE_TEXT`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.